%define major 0
%define libname %mklibname lxqt %{major}
%define devname %mklibname lxqt -d

%define rel 3

Name: liblxqt
Version: 0.11.1
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: lxqt.macros
Summary: Libraries for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+ and LGPLv2+
Group: System/Libraries
BuildRequires: lxqt-build-tools

BuildRequires: kwindowsystem-devel
BuildRequires: pkgconfig(Qt5Xdg) >= 1.2.0
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: cmake
BuildRequires: libxscrnsaver-devel
BuildRequires: libapr
BuildRequires: libapr-util

%description
Libraries for the LXQt desktop.

%package -n %{libname}
Summary: Libraries for the LXQt desktop
Group: System/Libraries


%description -n %{libname}
Libraries for the LXQt desktop.

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: %{_lib}razorqt-devel < 0.5.3-1

Obsoletes: %name < 0.11.0-1
Provides:  %name = %version-%release 
Requires: lxqt-build-tools 

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5 -DLXQT_ETC_XDG_DIR=/etc/xdg -DPULL_TRANSLATIONS=NO
%make

%install
%make_install -C build

# RPM macros
install -p -m0644 -D %{SOURCE1} %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros
touch -r %{SOURCE1} %{buildroot}%_sysconfdir/rpm/macros.d/lxqt.macros

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lxqt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/lxqt
%_sysconfdir/rpm/macros.d/lxqt.macros


%changelog
* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-3.mga6
+ Revision: 1093321
- Fix requires in the devel package

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093306
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065920
- New version 0.11.0

* Mon Mar 21 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 993516
- fix breakage when handling .desktop files with grep > 2.23 (mga#17981)
- update translations during build if necessary

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961075
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900903
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900064
- Fix LXQT_ETC_XDG_DIR

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900010
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816423
- new version 0.9.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- added BuildRequires on kwindowsystem-devel and pkgconfig(Qt5Widgets)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803658
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793180
- correct license

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738333
- add missing BuildRequires on pkgconfig(Qt5Help)
- used fixed 0.8 tarball
- add missing BuildRequires on pkgconfig(Qt5X11Extras)
- added missing BuildRequires on pkgconfig(Qt5DBus)
- new version 0.8
- added conditionals for QT5 builds, also adjusted file list

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 681583
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675110
- obsolete librazorqt-devel

* Wed May 21 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624620
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- imported package liblxqt


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 20fa46b
- Automatic import for version 0.7.0-1


